| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IQ3LevelMesh Class Reference

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file. More...

`#include <IQ3LevelMesh.h>`

Inheritance diagram for irr::scene::IQ3LevelMesh:

List of all members.

## Public Member Functions

- virtual IMesh * getBrushEntityMesh (s32 num) const =0
    returns the requested brush entity
- virtual IMesh * getBrushEntityMesh (quake3::IEntity &ent) const =0
    returns the requested brush entity
- virtual quake3::tQ3EntityList & getEntityList ()=0
    get's an interface to the entities
- virtual const quake3::IShader * getShader (const c8 *filename, bool fileNameIsValid=true)=0
    loads the shader definition from file
- virtual const quake3::IShader * getShader (u32 index) const =0
    returns a already loaded Shader

## Detailed Description

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file.

The Mesh tries to load all textures of the map.

Definition at line 17 of file IQ3LevelMesh.h.

## Member Function Documentation

virtual IMesh* irr::scene::IQ3LevelMesh::getBrushEntityMesh | ( | s32 | num | ) | const`[pure virtual]`

returns the requested brush entity

Parameters:

  num | The number from the model key of the entity.

Use this interface if you parse the entities yourself.

virtual IMesh* irr::scene::IQ3LevelMesh::getBrushEntityMesh | ( | quake3::IEntity & | ent | ) | const`[pure virtual]`

returns the requested brush entity

virtual quake3::tQ3EntityList& irr::scene::IQ3LevelMesh::getEntityList | ( |  | ) | `[pure virtual]`

get's an interface to the entities

virtual const quake3::IShader* irr::scene::IQ3LevelMesh::getShader | ( | const c8 * | filename,
|  | bool | fileNameIsValid = `true`
| ) |  | `[pure virtual]`

loads the shader definition from file

Parameters:

  filename | Name of the shaderfile, defaults to /scripts if fileNameIsValid is false.
  fileNameIsValid | Specifies whether the filename is valid in the current situation.

virtual const quake3::IShader* irr::scene::IQ3LevelMesh::getShader | ( | u32 | index | ) | const`[pure virtual]`

returns a already loaded Shader

The documentation for this class was generated from the following file:

- IQ3LevelMesh.h